nmarkedvector.h File Reference

Provides space-efficient arrays with fast object-to-index lookup. More...

`#include <vector>`
`#include "regina-core.h"`

## Classes

class | regina::NMarkedElement
| A base class for elements of NMarkedVector. More...
class | regina::NMarkedVector< T >
| A vector of objects with fast, space-efficient reverse lookup of array indices. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Provides space-efficient arrays with fast object-to-index lookup.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).